| Apache Ignite C++

Static Public Member Functions | List of all members
ignite::Ignition Class Reference

This class defines a factory for the main Ignite API. More...

`#include <ignition.h>`

## Static Public Member Functions
static Ignite | Start (const IgniteConfiguration &cfg)
| Start Ignite instance. More...
static Ignite | Start (const IgniteConfiguration &cfg, IgniteError &err)
| Start Ignite instance. More...
static Ignite | Start (const IgniteConfiguration &cfg, const char *name)
| Start Ignite instance with specific name. More...
static Ignite | Start (const IgniteConfiguration &cfg, const char *name, IgniteError &err)
| Start Ignite instance with specific name. More...
static Ignite | Get ()
| Get default Ignite instance. More...
static Ignite | Get (IgniteError &err)
| Get default Ignite instance. More...
static Ignite | Get (const char *name)
| Get Ignite instance with the given name. More...
static Ignite | Get (const char *name, IgniteError &err)
| Get Ignite instance with the given name. More...
static bool | Stop (bool cancel)
| Stop default Ignite instance. More...
static bool | Stop (bool cancel, IgniteError &err)
| Stop default Ignite instance. More...
static bool | Stop (const char *name, bool cancel)
| Stop Ignite instance with the given name. More...
static bool | Stop (const char *name, bool cancel, IgniteError &err)
| Stop Ignite instance with the given name. More...
static void | StopAll (bool cancel)
| Stop all running Ignite instances. More...
static void | StopAll (bool cancel, IgniteError &err)
| Stop all running Ignite instances. More...

## Detailed Description

This class defines a factory for the main Ignite API.

## Member Function Documentation

## ◆ Get() [1/4]

Ignite ignite::Ignition::Get | ( |  | ) |
| static

Get default Ignite instance.

Returns
  Default Ignite instance.

## ◆ Get() [2/4]

Ignite ignite::Ignition::Get | ( | IgniteError & | err | ) |
| static

Get default Ignite instance.

Parameters

  err | Error.

Returns
  Default Ignite instance.

## ◆ Get() [3/4]

Ignite ignite::Ignition::Get | ( | const char * | name | ) |
| static

Get Ignite instance with the given name.

Parameters

  name | Ignite name.

Returns
  Ignite instance.

## ◆ Get() [4/4]

Ignite ignite::Ignition::Get | ( | const char * | name,
|  | IgniteError & | err
| ) |  |
| static

Get Ignite instance with the given name.

Parameters

  name | Ignite name.
  err | Error.

Returns
  Ignite instance.

## ◆ Start() [1/4]

Ignite ignite::Ignition::Start | ( | const IgniteConfiguration & | cfg | ) |
| static

Start Ignite instance.

Parameters

  cfg | Configuration.

Returns
  Ignite instance.

## ◆ Start() [2/4]

Ignite ignite::Ignition::Start | ( | const IgniteConfiguration & | cfg,
|  | IgniteError & | err
| ) |  |
| static

Start Ignite instance.

Parameters

  cfg | Configuration.
  err | Error.

Returns
  Ignite instance.

## ◆ Start() [3/4]

Ignite ignite::Ignition::Start | ( | const IgniteConfiguration & | cfg,
|  | const char * | name
| ) |  |
| static

Start Ignite instance with specific name.

Parameters

  cfg | Configuration.
  name | Ignite name.

Returns
  Ignite instance.

## ◆ Start() [4/4]

Ignite ignite::Ignition::Start | ( | const IgniteConfiguration & | cfg,
|  | const char * | name,
|  | IgniteError & | err
| ) |  |
| static

Start Ignite instance with specific name.

Parameters

  cfg | Configuration.
  name | Ignite name.
  err | Error.

Returns
  Ignite instance.

## ◆ Stop() [1/4]

bool ignite::Ignition::Stop | ( | bool | cancel | ) |
| static

Stop default Ignite instance.

Parameters

  cancel | Cancel flag.

Returns
  True if default Ignite instance was stopped by this call.

## ◆ Stop() [2/4]

bool ignite::Ignition::Stop | ( | bool | cancel,
|  | IgniteError & | err
| ) |  |
| static

Stop default Ignite instance.

Parameters

  cancel | Cancel flag.
  err | Error.

Returns
  True if Ignite instance was stopped by this call.

## ◆ Stop() [3/4]

bool ignite::Ignition::Stop | ( | const char * | name,
|  | bool | cancel
| ) |  |
| static

Stop Ignite instance with the given name.

Parameters

  name | Ignite name.
  cancel | Cancel flag.

Returns
  True if Ignite instance was stopped by this call.

## ◆ Stop() [4/4]

bool ignite::Ignition::Stop | ( | const char * | name,
|  | bool | cancel,
|  | IgniteError & | err
| ) |  |
| static

Stop Ignite instance with the given name.

Parameters

  name | Ignite name.
  cancel | Cancel flag.
  err | Error.

Returns
  True if Ignite instance was stopped by this call.

## ◆ StopAll() [1/2]

void ignite::Ignition::StopAll | ( | bool | cancel | ) |
| static

Stop all running Ignite instances.

Parameters

  cancel | Cancel flag.

## ◆ StopAll() [2/2]

void ignite::Ignition::StopAll | ( | bool | cancel,
|  | IgniteError & | err
| ) |  |
| static

Stop all running Ignite instances.

Parameters

  cancel | Cancel flag.
  err | Error.

The documentation for this class was generated from the following files:

- ignition.h
- ignition.cpp